/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Offline教材 AICCObjectivesレコードクラス
//			変更履歴
//				2004.01.08	新規作成	滝島　英幸
//
package jp.co.ntt.lms.lo.Offline.Aicc;

import java.util.*;

/**
 * AiccObjective情報をDBに格納する為の情報を保持するクラスです。
 */
public class AiccObjectivesRecord extends AiccBaseRecord {

	/** オブジェクティブID */
	private String mObjectiveID = "";

	/** 得点 */
	private String mRawScore = "";

	/** 最高得点 */
	private String mMaxScore = "";

	/** 最低得点 */
	private String mMinScore = "";

	/** ステータス */
	private String mStatus = "";

	/** 修得時間 */
	private String mMasteryTime = "";


	/**
	 * オブジェクティブIDを設定します。
	 * @param String
	 */
	public void setObjectiveID(String strObjectiveID ){
		mObjectiveID = strObjectiveID;
	}
	/**
	 * オブジェクティブIDを返却します。
	 * @return オブジェクティブID
	 */
	public String getObjectiveID(){
		return mObjectiveID;
	}
	/**
	 * 得点を設定します。<BR>
	 * 以下の形式でカンマ区切りで格納されます。<BR>
	 * <PRE>
	 *   得点,最高得点,最低得点
	 * </PRE>
	 * @param String 得点
	 */
	public void setScore(String strScore) {
		StringTokenizer strToken = new StringTokenizer(strScore, ",");
		try {
			int i = 0;
			while( strToken.hasMoreElements() ) {
				String strTemp = strToken.nextToken();
				switch(i) {
					case 0:
						setRawScore( strTemp );
						break;
					case 1:
						setMaxScore( strTemp );
						break;
					case 2:
						setMinScore( strTemp );
						break;
				}
				i++;
			}
		}
		catch( java.util.NoSuchElementException ne ) {
		}
	}
	/**
	 * 得点を設定します。
	 * @param String 得点
	 */
	public void setRawScore(String strScore ){
		mRawScore = strScore;
	}
	/**
	 * 得点を返却します。
	 * @return 得点
	 */
	public String getRawScore(){
		return mRawScore;
	}
	/**
	 * 得点を設定します。
	 * @param String 得点
	 */
	public void setMaxScore(String strScore ){
		mMaxScore = strScore;
	}
	/**
	 * 得点を返却します。
	 * @return 得点
	 */
	public String getMaxScore(){
		return mMaxScore;
	}
	/**
	 * 得点を設定します。
	 * @param String 得点
	 */
	public void setMinScore(String strScore ){
		mMinScore = strScore;
	}
	/**
	 * 得点を返却します。
	 * @return 得点
	 */
	public String getMinScore(){
		return mMinScore;
	}
	/**
	 * ステータスを設定します。
	 * @param String ステータス
	 */
	public void setStatus(String strStatus ){
		mStatus = strStatus;
	}
	/**
	 * ステータスを返却します。
	 * @return ステータス
	 */
	public String getStatus(){
		return mStatus;
	}
	/**
	 * 修得時間を設定します。
	 * @param String 修得時間
	 */
	public void setMasteryTime(String strMasteryTime ){
		mMasteryTime = strMasteryTime;
	}
	/**
	 * 修得時間を返却します。
	 * @return 修得時間
	 */
	public String getMasteryTime(){
		return mMasteryTime;
	}


}



